Written by

Je sais que cette nou­velle réjoui­ra beau­coup d’entre vous : PHP 5.3 est enfin dis­po­nible chez always­da­ta. Plus pré­ci­sé­ment : la ver­sion 5.3.2 est désor­mais ins­tal­lée et sélec­tion­nable dans l’ad­mi­nis­tra­tion, ain­si que la 5.2.13 rajou­tée au pas­sage. Comme d’ha­bi­tude, rien ne change auto­ma­ti­que­ment : c’est à vous de pas­ser à 5.3 volon­tai­re­ment, si vous le sou­hai­tez. Les nou­veaux comptes, eux, sont par défaut en 5.3.

Cette ver­sion aura mis du temps à être dis­po­nible pour plu­sieurs rai­sons. La pre­mière, c’est que nous étions très occu­pés par la nou­velle archi­tec­ture, entre autres. La seconde, c’est que le déploie­ment d’une nou­velle ver­sion majeure d’un lan­gage (que ce soit PHP, Python ou Ruby) est une opé­ra­tion beau­coup plus com­pli­quée qu’il n’y paraît. Le sup­port de plu­sieurs ver­sions d’un même lan­gage non com­pa­tibles entre elles (par exemple, PHP 5.2 et 5.3) demande de gros efforts de coha­bi­ta­tion, et même des déve­lop­pe­ments internes assez consé­quents. C’est la rai­son pour laquelle always­da­ta est pro­ba­ble­ment l’un des seuls héber­geurs à vous pro­po­ser simul­ta­né­ment autant de ver­sions dif­fé­rentes de PHP, Python et Ruby.

Message per­son­nel à tous les Rubyistes : la ver­sion 1.9.1 est sur les rails, encore un peu de patience :)Je sais que cette nou­velle réjoui­ra beau­coup d’entre vous : PHP 5.3 est enfin dis­po­nible chez always­da­ta. Plus pré­ci­sé­ment : la ver­sion 5.3.2 est désor­mais ins­tal­lée et sélec­tion­nable dans l’ad­mi­nis­tra­tion, ain­si que la 5.2.13 rajou­tée au pas­sage. Comme d’ha­bi­tude, rien ne change auto­ma­ti­que­ment : c’est à vous de pas­ser à 5.3 volon­tai­re­ment, si vous le sou­hai­tez. Les nou­veaux comptes, eux, sont par défaut en 5.3.

Cette ver­sion aura mis du temps à être dis­po­nible pour plu­sieurs rai­sons. La pre­mière, c’est que nous étions très occu­pés par la nou­velle archi­tec­ture, entre autres. La seconde, c’est que le déploie­ment d’une nou­velle ver­sion majeure d’un lan­gage (que ce soit PHP, Python ou Ruby) est une opé­ra­tion beau­coup plus com­pli­quée qu’il n’y paraît. Le sup­port de plu­sieurs ver­sions d’un même lan­gage non com­pa­tibles entre elles (par exemple, PHP 5.2 et 5.3) demande de gros efforts de coha­bi­ta­tion, et même des déve­lop­pe­ments internes assez consé­quents. C’est la rai­son pour laquelle always­da­ta est pro­ba­ble­ment l’un des seuls héber­geurs à vous pro­po­ser simul­ta­né­ment autant de ver­sions dif­fé­rentes de PHP, Python et Ruby.

Message per­son­nel à tous les Rubyistes : la ver­sion 1.9.1 est sur les rails, encore un peu de patience :)